Subject: Re: megaco NAS package

From: Ravi Subramaniam <[email-masked]>
Date: Mon, 7 Aug 2000 13:04:17 -0400

Attachment included  !! oops ...

>
> Hello Tom...
>     I have a prelimnary nas package which I build on top of the existing one,
>     please take a look at it. I am working on making it IETF compliant
>     right now, so alignments etc. may be off.
> Thanks ...
> Ravi Subramaniam
> IOS-Wan Connectivity Products
> Cisco Systems

Thanks ...
Ravi Subramaniam
IOS-Wan Connectivity Products
Cisco Systems

Media Gateway Control (Megaco)                              Mike Kallas
Internet Draft                                          Nortel Networks
Document: draft-ietf-megaco-naspkg-01.txt             Zacharias Bilalis
Category: Standards Track                                       Siemens
                                                       Ravi Subramaniam
                                                          Cisco Systems

                        Megaco/H.248 NAS Package

Status of this Memo

   This document is an Internet-Draft and is in full conformance with
   all provisions of Section 10 of RFC2026.

   Internet-Drafts are working documents of the Internet Engineering
   Task Force (IETF), its areas, and its working groups. Note that
   other groups may also distribute working documents as Internet-
   Drafts. Internet-Drafts are draft documents valid for a maximum of
   six months and may be updated, replaced, or obsoleted by other
   documents at any time. It is inappropriate to use Internet- Drafts
   as reference material or to cite them other than as "work in
   progress."

   The list of current Internet-Drafts can be accessed at
   http://www.ietf.org/ietf/1id-abstracts.txt
   The list of Internet-Draft Shadow Directories can be accessed at
   http://www.ietf.org/shadow.html.

1. Abstract

   This document is work in progress and defines a NAS Package for the
   Megaco/H.248 protocol. It is intended to satisfy the requirements in
   section 11.2.5 of the Megaco/H.248 requirements document [5].

2. Conventions used in this document

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and "OPTIONAL" in
   this document are to be interpreted as described in RFC-2119 [1].

3. ABBREVIATIONS

   NAS: Network Access Server

   VPN: Virtual Private Network

Kallas, Bilalis, Subramaniam Standards Track - Expires September 2000     1
                        Megaco/H.248 NAS Package             March 2000

4. NAS PACKAGE

   PackageID: nas, 0x0022

   Version: 1

   Extends: none

   This package supports the functionality of a Media Gateway as NAS
   (Network Access Server), providing support for dial-in access to the
   NAS.

4.1   Properties

   VPN id
     PropertyId: vpnid (0x0001)
     Description:
       identifies the VPN to which this termination is to be
       connected
     Type: octet string as defined in RFC2685 [4]
     Possible Values: vpnid
     Defined in: TerminationState
     Characteristics: read/write

   NAS id
     PropertyId: nasid (0x0002)
     Description:
       identifies the NAS to which this termination is to be
       connected
     Type: octet string as defined in RFC2685 [4]
     Possible Values: 0-
     Defined in: TerminationState
     Characteristics: read/write

4.2 Events

4.2.1 NAS Failure

   EventID: nasfail (0x0001)
   Description:
     indicates a failure in the processing of the access attempt due
     to external or internal reasons.

   EventDescriptor Parameters:
     none added by this package

   ObservedEventDescriptor Parameters:

     Error code
       ParameterID: ec (0x0001)
       Description: describes the failure reason
       Type: integer, 0 to 99
       Possible values:
         0: NAS internal error
         1: AAA server unavailable
         2: Operator shutdown

4.2.2 Authorization Result

   EventID: authres (0x0002)

   Description:
     This event reports the outcome of a request for authorization of

Kallas, Bilalis, Subramaniam Standards Track - Expires September 2000    2
                       Megaco/H.248 NAS Package             March 2000

     the network access request

   EventDescriptor Parameters:
     none added by this package

   ObservedEventDescriptor Parameters:

     result
       ParameterID: res (0x0001)
       Description:
         outcome of the service request to the AAA server (see for
         example IETF RFC 2138 (RADIUS) [2])
       Type: enumeration
       Possible values:
         succ (0x0000)  service request was successful
         den  (0x0001)  service request was denied

4.2.4 Call  Request

   EventID: cr (0x0003)

   Description:
     The call request event is used to notify that a call  has been
     requested by the  NAS.

     The call back type is used to notify that a call-back has been
     requested by the  AAA server during the initial phase of a data
     connection (see for example IETF RFC 2138  (RADIUS) [2]). The
     event report includes the telephone number to which the call is to
     be made.

   EventDescriptor Parameters:
     none added by this package

   ObservedEventDescriptor Parameters:

     Type
      ParameterID: type (0x0001)
       Description:
         Type of call desired
       Type: integer
       Possible values:
         0x1: Callback request
         0x2: Outbound call

     Number to be called
       ParameterID: cdn (0x0002)
       Description:
         the called number
       Type: string of digits
       Possible values:
         location-dependent.

     Calling number
       ParameterID: cgn (0x0003)
       Description:
         the calling number
       Type: string of digits
       Possible values:
         location-dependent.

     Bearer Capability
       ParameterID: bcap(0x0004)
       Description:
         Bearer capability desired for the call
       Type: integer
       Possible values:
         0x1: Unrestricted Digital
         0x2: Modem
         0x3: Voice

    Bandwidth
       ParameterID: bw  (0x0005)
       Description:
         Bandwidth for the connection
       Type: integer
       Possible values:
         0x1: 64
         0x2: 56

4.2.4 Call  Release

   EventID: cr (0x0004)

   Description:
     The call is to be released from the destination.

   ObservedEventDescriptor Parameters:

   Cause
       ParameterID: cause  (0x0001)
       Description:
         cause code
       Type: integer
       Possible values:
         00-0x80

4.2.4 Cot results
   EventID: cot_results (0x0005)

   Description:
     The results from the continuity test are returned

   ObservedEventDescriptor Parameters:

   Cause
       ParameterID: cause  (0x0001)
       Description:
         cot result
       Type: boolean
       Possible values:
        PASSED (0x1)
        FAILED (0x0)

4.3 Signals

4.3.1 RELEASE
   SignalID: rel (0x0001)
   Description: release

   Parameters:
        Parameter id: Cause
       Description:
         cause code
       Type: integer
       Possible values:
         00-0x80

4.3.2  Cot
   SignalID: cot (0x0002)
   Description: continuity test -  Put (or remove) TDM circuit in loopback

   Parameters:
        Action:
          Descriptor:
                Perform cot action
          Type: Integer
          Possible values:
                1 - Start loopback
                2 - Stop loopback
        Timeout:
          Descriptor:
                Timeout for the reception of tones
          Type: Integer
          Possible values:
                1-300 (seconds)
        Result:
          Descriptor:
                If action is stop cot, then return results
          Type: Booolean
          Possible Values:
                Pass : 0x1
                Fail : 0x0

4.3.3  Generate_tones
   SignalID: tone (0x0003)
   Description: Generate or stop generating  tones (milliwatt) on the
                circuit

   Parameters:
        Action:
          Descriptor:
                Perform  action
          Type: Integer
          Possible values:
                1 - Start tone generation
                2 - Stop tone generation
        Type:
          Descriptor:
                Tone type
          Type: Integer
          Possible values:
                0x01 - Multi Frequency tone
                0x02 - DTMF
                0x03 - Analog
                0x04 - Digital Milliwatt

        Duration
          Descriptor:
                Tone duration
          Type: integer
          Possible Values:
                0-120
        Tone String
          Descriptor:
                String of tone to send
          Type: integer
          Possible Values:
                ascii string

4.4.4  Circuit_state
  SignalID: circuit_state (0x0004)
   Description: Set the circuit state to new state

   Parameters:
        New_state:
          Descriptor:
                New state for circuit
          Type: Integer
          Possible values:
                1 - Idle
                2 - OOS- Out of service

4.4.5  Get_cot_results
  SignalID: cot_results (0x0005)
   Description: Get the cot results

   Parameters:
        Results:
          Descriptor:
                Results of the loopback test
          Type: Integer
          Possible values:
                0x1 - Passed
                0x0 - Failed

4.4 Statistics

   None

4.5 Procedures

Kallas, Bilalis, Subramaniam Standards Track - Expires September 2000    3
                        Megaco/H.248 NAS Package             March 2000

   None

4.6 Descriptor
4.6.1 Call Info Descriptor
        The call info  descriptor contains the parameters required by the
NAS for authentication. This descriptor will be delivered to the NAS with
the ADD command and will contain the following:
        . DNIS digits string
        . CLID digit string
        . Call type
        . Authentication Flag
        . TDM Hairpin flag
        . TDM Hairpin destination termination id

5. Call Flows

6. References

   [1] Bradner, S., "Key words for use in RFCs to Indicate Requirement
   Levels", BCP 14, RFC 2119, March 1997

   [2] Rigney, C., et al, Remote Authentication Dial In Service
   (RADIUS), RFC 2138, April 1997

   [3] Townsley, W., et al, Layer Two Tunneling Protocol(L2TP), RFC
   2661, August 1999

   [4] B. Fox and B. Gleeson, Virtual Private Networks Identifier, RFC
   2685, September 1999

   [5] N. Greene, M. Ramalho, B. Rosen, Media Gateway control protocol
   architecture and requirements, RFC number TBD, March 2000 (currently
   draft-ietf-megaco-reqs-10.txt, February 2000)

7. AUTHOR'S ADDRESSES

   Mike Kallas
   Nortel Networks
   P.O. Box 833805
   Richardson, Texas 75083-3805
   USA
   Email: [email-masked]

   Zacharias Bilalis
   Siemens
   Schertlinstr. 8
   81379 Munich
   Germany
   Email:  [email-masked]

   Ravi Subramaniam
   Cisco Systems
   7025 Kit Creek Road
   RTP, NC 27709
   USA
   Email: [email-masked]

Kallas, Bilalis, Subramaniam Standards Track - Expires September 2000    4

---

From: Matt Holdrege <[email-masked]>
Date: Wed, 9 Aug 2000 20:00:51 -0700

As I've said many times before, what makes a NAS different than any
ordinary MG? If you do maintain that there are some things that a NAS
package would need special, then your I-D should only have those
differences. Just print the delta. Why would you have a NAS Id different
than an MG ID. Why is a call ID different on a NAS, etc., etc., etc.

At 01:04 PM 8/7/00 -0400, Ravi Subramaniam wrote:
>Content-Type: TEXT/plain; charset=us-ascii
>Content-MD5: VvOptRvtVxsU/at0TsWg5A==
>
>Content-Type: TEXT/plain; name="new_naspkg.02.txt"; charset=us-ascii;
>x-unix-mode=0644
>Content-Description: new_naspkg.02.txt
>Content-MD5: vNDr9WtJBf9PBr8fbWr58A==
>
>